# Retrieve markup

Retrieving an existing markup for a specific FX rate.For MCP customers only.

Endpoint: GET /foreignExchange/markup/{entity}
Version: 1
Security: basicAuth

## Path parameters:

  - `entity` (string, required)
    MCP Account Identifier (PartyID- Merchant Company ID, unique 6-digit ID given to you during the onboarding process.) for which rates should be retrieved.
    Example: "100001"

## Query parameters:

  - `sourceCurrency` (string)
    The transaction currency code. If not supplied, the response contains rates for all source currencies against the target currency.
    Example: "USD"

  - `targetCurrency` (string)
    Your funding (settlement) currency code. If not supplied, the response contains rates for all target currencies against the source currency.
    Example: "EUR"

## Header parameters:

  - `Accept` (string, required)
    Example: "application/vnd.worldpay.foreignexchange-v1+json"

  - `WP-CorrelationId` (string)
    Optional ID to trace requests, if not provided, it is generated.
    Example: "15cd16b2-7b82-41cb-9b11-21be9dacad88"

## Response 200 fields (application/vnd.worldpay.foreignexchange-v1+json):

  - `sourceCurrency` (string)
    The debit currency.
    Example: "EUR"

  - `targetCurrency` (string)
    The credit currency.
    Example: "GBP"

  - `paymentMethod` (string)
    Payment method.
    Example: "ENDCONSUMERRATES"

  - `entity` (string)
    6-digit reference given to you by your Implementation Manager during the onboarding process.
    Example: "100001"

  - `value` (string)
    Markup value setup.
    Example: "1.234"

## Response 401 fields (application/vnd.worldpay.foreignexchange-v1+json):

  - `errorName` (string, required)
    The unique error name

  - `message` (string, required)
    Error description message

## Response 403 fields (application/vnd.worldpay.foreignexchange-v1+json):

  - `errorName` (string, required)
    The unique error name

  - `message` (string, required)
    Error description message

## Response 404 fields (application/vnd.worldpay.foreignexchange-v1+json):

  - `errorName` (string, required)
    The unique error name

  - `message` (string, required)
    Error description message

## Response 500 fields (application/vnd.worldpay.foreignexchange-v1+json):

  - `errorName` (string, required)
    The unique error name

  - `message` (string, required)
    Error description message


